## org.python.core
Class BytecodeLoader

    java.lang.Object
      |
      +--org.python.core.BytecodeLoader

public class BytecodeLoader
extends java.lang.Object

Utility class for loading of compiled python modules and java classes defined in python modules.

Constructor Summary
`BytecodeLoader()`

Method Summary
`static java.lang.Class` `makeClass(java.lang.String name, java.util.Vector referents, byte[] data)` Turn the java byte code in data into a java class.
`static PyCode` `makeCode(java.lang.String name, byte[] data)` Turn the java byte code for a compiled python module into a java class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytecodeLoader

    public BytecodeLoader()

Method Detail

### makeClass

    public static java.lang.Class makeClass(java.lang.String name,
                                            java.util.Vector referents,
                                            byte[] data)

  Turn the java byte code in data into a java class.

  Parameters:
    `name` - the name of the class
    `referents` - a list of superclass and interfaces that the new class will reference.
    `data` - the java byte code.

### makeCode

    public static PyCode makeCode(java.lang.String name,
                                  byte[] data)

  Turn the java byte code for a compiled python module into a java class.

  Parameters:
    `name` - the name of the class
    `data` - the java byte code.

Jython homepage